Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229767 - find messages function crashes kmail
Summary: find messages function crashes kmail
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kdepim
Version: 6
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-23 11:50 UTC by Vlado Potisk
Modified: 2008-05-06 19:16 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-06 19:16:47 UTC


Attachments (Terms of Use)

Description Vlado Potisk 2007-02-23 11:50:46 UTC
Description of problem:
kmail crashes when the find messages function is used with the parameters below.

Version-Release number of selected component (if applicable):
kdepim-3.5.6-0.2.fc6

How reproducible:
Always (but might be data dependent)

Steps to Reproduce:
1.in the menu: Tools -> Find messages
2.select: search in all local folders
3.enter: <body> contains somestring
4 click the [Search] button
  
Actual results:
crash, signal 11 (SIGSEGV)

Expected results:
list of messages found should be displayed

Additional info:

[KCrash handler]
#5  0x00000033436336ce in KMMessage::codec ()
   from /usr/lib64/libkmailprivate.so
#6  0x000000334364194b in KMMessage::bodyToUnicode ()
   from /usr/lib64/libkmailprivate.so
#7  0x00000033437305a3 in KMSearchRuleString::matches ()
   from /usr/lib64/libkmailprivate.so
#8  0x000000334372cb2f in KMSearchPattern::matches ()
   from /usr/lib64/libkmailprivate.so
#9  0x000000334372cd0f in KMSearchPattern::matches ()
   from /usr/lib64/libkmailprivate.so
#10 0x00000033436f4016 in FolderStorage::slotProcessNextSearchBatch ()
   from /usr/lib64/libkmailprivate.so
#11 0x0000003343829ecd in KMSearch::slotProcessNextBatch ()
   from /usr/lib64/libkmailprivate.so
#12 0x0000003343829f8e in KMSearch::qt_invoke ()
   from /usr/lib64/libkmailprivate.so
#13 0x0000003926b60cd9 in QObject::activate_signal ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#14 0x0000003926b61a80 in QObject::activate_signal ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#15 0x0000003926b843e5 in QTimer::event ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#16 0x0000003926b00105 in QApplication::internalNotify ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#17 0x0000003926b015c4 in QApplication::notify ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#18 0x000000333b94b302 in KApplication::notify ()
   from /usr/lib64/libkdecore.so.4
#19 0x0000003926af555c in QEventLoop::activateTimers ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#20 0x0000003926aaf211 in QEventLoop::processEvents ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#21 0x0000003926b178c1 in QEventLoop::enterLoop ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#22 0x0000003926b17792 in QEventLoop::exec ()
   from /usr/lib64/qt-3.3/lib/libqt-mt.so.3
#23 0x00000000004028d4 in QObject::checkConnectArgs ()
#24 0x0000003cb761da44 in __libc_start_main () from /lib64/libc.so.6
#25 0x0000000000402649 in QObject::checkConnectArgs ()
#26 0x00007fff70e02628 in ?? ()
#27 0x0000000000000000 in ?? ()

Comment 1 Vlado Potisk 2008-02-14 14:31:09 UTC
Update one year after: seems to be fixed in Fedora 8

Comment 2 Bug Zapper 2008-04-04 06:21:03 UTC
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Comment 3 Bug Zapper 2008-05-06 19:16:45 UTC
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.